/* Edge a reset to all items*/
/* The "box-sizing" property handles how "padding" and "border" will be added to an element.
    The default value for "box-sizing" is "content-box", whitch means that any "border" or "padding" 
    aplied to the element will add to it's total: "width" and "height".
    The other option is "border-box", witch adds "padding" and "border" to the element without changing
    his dimensions.
    A thing to keep in mind! The "box-sizing" does not apply to margin. Either option you choose "margin"
    will never count as element dimension. */


*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    
}

/*  Setting the "body height" to "vh" who stands for "Viewport Height", and viewport is the visible area of
    the webpage. The unit of "vh" corespond to 1% of the viewport height. By setting it 100vh the body will
    take the 100% of the available height space */
/*  Setting the backround-color */

body {
    height: 100vh;
    display: flex;
    /*background-color: #feda6a; */
    background-image: url(../img/5B.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    /*background-size: auto;*/
   
    border: 3px white solid;
    border-radius: 7px;
    margin: 15px 15px ; 
    
}

#para {
    border: 3px solid black;
}

.container-fluid{
    /*border: 3px black solid;
    border-radius: 7px; 
    background-color: white; */
    width: 900px;
    height: 680px;
    margin: auto;
    margin-left: 75px;
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
/* HAPI I PARE :Qe te shtojme efekton 3D*/
    perspective: 1000px;
    margin-top: 20px;
}



.memory-card {
    
    width: calc(20% - 10px);
    height: calc(23% - 10px);
    margin:5px;
    position: relative;
    transform: scale(1);
/* HAPI I DYTE :Qe te shtojme efekton 3D*/
    transform-style: preserve-3d;
/*HAPI I TRETE: Qe te rregullohet 3D */
    transition: transform .40s;
   
    
}




.memory-card:active{
    transform: scale(.97);
    transition: transform .2s

}
/* Klasen qe e krijuam me funksionin flipCard, e selektojme ne CSS dmth ne duam te seleksionojme Klasen memoory-card qe ka dhe nje
   klase FLIP. nuk ka nje hapsire ne mes tyre sepse qe te dyja klasat (memory-card dhe flip) i takojne te njejtit element.
   Dhe kurdo qe Klasa Flip eshte prezente, do i shtojme nje Rotate te aksi Y ne 180 shkalle. Qe do te thote qe, secilen karte 
   qe e shtypin, i shtohet klasa Flip dhe me kte rast rrotullohet. por ka dhe etapa ne vazhdim..
 */
.memory-card.flip {
    transform: rotateY(180deg);
}

.front-face, 
.back-face {
    width: 100%;
    height: 100%;
    /*background: blue; */
    background-color: rgb(5, 95, 122) ;
    position: absolute;
    padding: 25%;
    border-radius: 7px;
/*HAPI I KATERT: Fshehim fytyren mbrapa ne menyre qe mos te rrotullohet vetem kjo ane e kartes */
    backface-visibility : hidden;
    /*border: 3px solid rgb(6, 163, 150); */
}

.front-face {

/* Hapi i gjshte: Pasi qe fshehim fytyren e pasme, shtojme nje rrotullim vetem per fytyren perpara. */
    transform: rotateY(180deg);
    background-color: white;
    padding: 20%;
    border: 3px rgb(0, 112, 112) solid;
    /*box-shadow: 0 4px 8px 0 rgb(107, 107, 107), 0 6px 20px 0 rgb(110, 110, 110); */
}

.back-face {
    border: 2px white solid;
    
}

img {
    width: 100%;
}

.logo {
    position: flex;
    /*margin-top: 30px;
    margin-left: 50px;*/
    padding: 3px;
    
}




